
package net.mcreator.shadowknights.item;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.crafting.Ingredient;
import net.minecraft.item.SwordItem;
import net.minecraft.item.ItemStack;
import net.minecraft.item.ItemGroup;
import net.minecraft.item.Item;
import net.minecraft.item.IItemTier;

import net.mcreator.shadowknights.ShadowknightsModElements;

@ShadowknightsModElements.ModElement.Tag
public class DragonSwordItem extends ShadowknightsModElements.ModElement {
	@ObjectHolder("shadowknights:dragon_sword")
	public static final Item block = null;
	public DragonSwordItem(ShadowknightsModElements instance) {
		super(instance, 11);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new SwordItem(new IItemTier() {
			public int getMaxUses() {
				return 100;
			}

			public float getEfficiency() {
				return 4f;
			}

			public float getAttackDamage() {
				return 18f;
			}

			public int getHarvestLevel() {
				return 1;
			}

			public int getEnchantability() {
				return 2;
			}

			public Ingredient getRepairMaterial() {
				return Ingredient.fromStacks(new ItemStack(DragonScaleItem.block, (int) (1)));
			}
		}, 3, 11f, new Item.Properties().group(ItemGroup.COMBAT)) {
		}.setRegistryName("dragon_sword"));
	}
}
