
package net.mcreator.shadowknights.item;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.crafting.Ingredient;
import net.minecraft.item.SwordItem;
import net.minecraft.item.Items;
import net.minecraft.item.ItemStack;
import net.minecraft.item.ItemGroup;
import net.minecraft.item.Item;
import net.minecraft.item.IItemTier;

import net.mcreator.shadowknights.ShadowknightsModElements;

@ShadowknightsModElements.ModElement.Tag
public class KnightRapirItem extends ShadowknightsModElements.ModElement {
	@ObjectHolder("shadowknights:knight_rapir")
	public static final Item block = null;
	public KnightRapirItem(ShadowknightsModElements instance) {
		super(instance, 3);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new SwordItem(new IItemTier() {
			public int getMaxUses() {
				return 100;
			}

			public float getEfficiency() {
				return 4f;
			}

			public float getAttackDamage() {
				return 6f;
			}

			public int getHarvestLevel() {
				return 1;
			}

			public int getEnchantability() {
				return 2;
			}

			public Ingredient getRepairMaterial() {
				return Ingredient.fromStacks(new ItemStack(Items.IRON_INGOT, (int) (1)));
			}
		}, 3, 4f, new Item.Properties().group(ItemGroup.COMBAT)) {
		}.setRegistryName("knight_rapir"));
	}
}
